package com.zg.project.wisdom.mapper;

import java.util.List;
import com.zg.project.wisdom.domain.GysJh;

/**
 * 供应计划Mapper接口
 * 
 * @author zg
 * @date 2025-05-28
 */
public interface GysJhMapper 
{
    /**
     * 查询供应计划
     * 
     * @param id 供应计划主键
     * @return 供应计划
     */
    public GysJh selectGysJhById(Long id);

    /**
     * 查询供应计划列表
     * 
     * @param gysJh 供应计划
     * @return 供应计划集合
     */
    public List<GysJh> selectGysJhList(GysJh gysJh);

    /**
     * 新增供应计划
     * 
     * @param gysJh 供应计划
     * @return 结果
     */
    public int insertGysJh(GysJh gysJh);

    /**
     * 修改供应计划
     * 
     * @param gysJh 供应计划
     * @return 结果
     */
    public int updateGysJh(GysJh gysJh);

    /**
     * 删除供应计划
     * 
     * @param id 供应计划主键
     * @return 结果
     */
    public int deleteGysJhById(Long id);

    /**
     * 批量删除供应计划
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGysJhByIds(Long[] ids);

    /**
     * 根据sapNo查询
     * @param sapNo
     * @return
     */
    List<GysJh> getBySapNo(String sapNo);

    /**
     * 修改状态
     * @param gysJhId
     */
    void updateStatusById(Long gysJhId);

    /**
     * 重置状态
     * @param sapNos
     */
    void resetGysJhStatusBySapNos(List<String> sapNos);
}
